clang-tools 6.0.0

Classes | Functions
clang::tidy::boost Namespace Reference

## Classes
class | BoostModule
class | UseToStringCheck
| Finds calls to `boost::lexical_cast<std::string>` and `boost::lexical_cast<std::wstring>` and replaces them with `std::to_string` and `std::to_wstring` calls. More...

## Functions
static ClangTidyModuleRegistry::Add< BoostModule > | X ("boost-module", "Add boost checks.")
| AST_MATCHER (Type, isStrictlyInteger)

## Function Documentation

## ◆ AST_MATCHER()

clang::tidy::boost::AST_MATCHER | ( | Type | ,
|  | isStrictlyInteger |
| ) |  |

Definition at line 18 of file UseToStringCheck.cpp.

## ◆ X()

static ClangTidyModuleRegistry::Add<BoostModule> clang::tidy::boost::X | ( | "boost-module" | ,
|  | "Add boost checks." |
| ) |  |
| static